#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

int main (int argc, char **argv)
{
  int pipe1[2], pipe2[2];

  pipe(pipe1);
  pipe(pipe2);

  switch (fork())
    {
    case -1: perror("fork()");
      exit(1);

    case 0: dup2(pipe1[1], 1);
      dup2(pipe2[0], 0);
      close(pipe1[0]);
      close(pipe2[1]);
      exit(system(argv[1]));
     
    default: dup2(pipe2[1], 1);
      dup2(pipe1[0], 0);
      close(pipe2[0]);
      close(pipe1[1]);
      exit(system(argv[2]));
    }

  return 0;
}