#!/bin/sh
#

HTTPHOME=/opt/local/share/doc

while read line; test "$line"; do
	echo "$line"
	echo "j'ai lu $line" 1>&2
done | grep "^GET" | { read line

url=`expr "$line" : "GET \(.*\) HT"`
echo "L'URL demandee est : $url" 1>&2
echo "J'ai compris que vous vouliez l'URL $url"

# Eliminer le ? et la suite (1er pipe) puis
# substituer les sequences d'echappement (2eme pipe)
fichier=`echo "$url" | sed "s/^\([^?]*\)?.*$/\1/" | sed 's/%\([0-9A-Fa-f]\{2,2\}\)/\\\\x\1/g'`

# Il suffit maintenant d'inserer le prefixe HTTPHOME devant le nom
# de fichier, de faire convertir les sequences par printf, et de
# relire le resultat
printf "$HTTPHOME$fichier" | {
	read fichier

	echo "Pour moi, cela correspond au fichier $fichier" 1>&2
}

}
